For AI agents: an index of this documentation is at https://developer.rippling.com/llms.txt. Public pages have a Markdown version at the same URL with .md added.

Skip to main content
API

List files in the active bundle

GET
/sites/{api_name}/files/

Use with AI:Rippling AI ChatGPT Claude Cursor

List files in the active bundle

GET
/sites/{api_name}/files/

List files and persisted directories from the active bundle manifest.

Required Scopes

  • sites.read

Request

Path Parameters
    api_name stringrequired

    The unique api_name of the site.

    Example: employee_portal
Query Parameters
    parent_path string

    Directory path to list. Defaults to the bundle root.

    Example: assets
    recursive boolean

    Whether to list files recursively. Defaults to false.

    Example: false

Responses​

Successful response
Schema
    bundle_id string

    Active bundle identifier.

    entry_path string

    Entry path for the active bundle.

    parent_path string

    Directory path used for the listing.

    recursive boolean

    Whether the listing was recursive.

    files object[]
    Files in the listing scope.
      Array [
      path string

      Normalized file path inside the active bundle.

      name string

      File name.

      parent_path string

      Parent directory path.

      content_type string

      MIME content type.

      size_bytes integer

      File size in bytes.

      sha256 string

      SHA-256 hash of the file contents.

      ]
    directories object[]
    Directories in the listing scope.
      Array [
      path string

      Normalized directory path inside the active bundle.

      name string

      Directory name.

      parent_path string

      Parent directory path.

      ]
Loading...